unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, TrayIcon, ExtCtrls, Menus, ShellApi;

type
  TForm1 = class(TForm)
    Button1: TButton;
    TrayIcon1: TTrayIcon;
    PopupMenu1: TPopupMenu;
    Showwindows1: TMenuItem;
    N1: TMenuItem;
    AboutTTrayIconcomponent1: TMenuItem;
    N2: TMenuItem;
    Exit1: TMenuItem;
    Panel1: TPanel;
    Label1: TLabel;
    Label3: TLabel;
    GroupBox1: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button7: TButton;
    OpenDialog1: TOpenDialog;
    Panel2: TPanel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Button2: TButton;
    Label2: TLabel;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure AboutTTrayIconcomponent1Click(Sender: TObject);
    procedure TrayIcon1DblClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses about;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ShowWindow (Handle, SW_HIDE);
  if (Button3.Enabled) then
    Button3Click (Sender);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  { Get the file name }
  if (OpenDialog1.Execute) then
    Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  ShowWindow (Handle, SW_SHOWNORMAL);
  Application.Terminate;
end;

procedure TForm1.AboutTTrayIconcomponent1Click(Sender: TObject);
begin
  FormAbout.ShowModal;
  ShowWindow (GetWindow (Handle, GW_OWNER), SW_HIDE);
end;

procedure TForm1.TrayIcon1DblClick(Sender: TObject);
begin
  { Show the window }
  ShowWindow (Handle, SW_SHOWNORMAL);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  ShowWindow (GetWindow (Handle, GW_OWNER), SW_HIDE);
end;

procedure TForm1.Label8Click(Sender: TObject);
begin
  ShellExecute (
    0, nil, 'http://www.antonypr.pair.com/delphi.html',
    nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  { Update the tray icon }
  TrayIcon1.Tip  := Edit2.Text;
  if (Edit1.Text <> '') then
    TrayIcon1.Icon.LoadFromFile (Edit1.Text);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  { Show the icon }
  TrayIcon1.Tip  := Edit2.Text;
  TrayIcon1.Show;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  TrayIcon1.Show;
  Button3.Enabled := false;
  Button4.Enabled := true;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  TrayIcon1.Hide;
  Button3.Enabled := true;
  Button4.Enabled := false;
end;

end.
